Retrieves all the equipment_family objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6950fae8-72cc-48f9-8500-8479082a430e",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "103fe3b2-381c-46e6-9792-715b2b94e1ff",
  "_parent_code": "sample string 6",
  "sales_organization_id": "1850319c-cd4f-40d3-b34e-90709654d9d1",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "a1c3fff0-c451-4a22-98c4-bbc748e89661",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "5126bdcc-9783-4ac9-8a0f-eb9d0c483ba4",
    "db_currency_id": "542167f8-1ad1-412a-8aec-6c404327c6a2",
    "db_language_id": "e541c8ce-00af-4b00-a047-e094859b5120",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-03-21T14:58:33.2340609+00:00"
  },
  "modified_dateutc": "2026-03-21T14:58:33.2340609+00:00"
}